function runscript()
	storewindow();
	graphic("johnny-gun");
	speaker("");
	musvol(0);
	sound("getitem", CHAN_SCRIPTED);
	timedsay("Obtained the Johnny Gun!", 200);
	say("The Johnny Gun is the weapon that will drag the world into the 21st century.");
	say("Hold [Attack] to ||||-- hey, wait a second, this thing isn't even loaded...");
	say("||Ah,|| yes.|||| The dead man's bluff...");
	musvol(100);
	musres();
	giveweapon(WEAPON_JOHNNYGUN);
	restorewindow();
	destroy ("johnny-gun");
end